/* eslint-disable import/no-extraneous-dependencies */
import { storiesOf } from '@storybook/vue'
import { action } from '@storybook/addon-actions'
import { linkTo } from '@storybook/addon-links'
import 'chart.js'
import 'hchs-vue-charts'
import '../plugins/bootstrap-vue'
import MyButton from '../components/MyButton.vue'
import Tabs from '../components/storybook/Tabs.vue'
import Edit from '../components/storybook/Edit.vue'
import Charts from '../components/storybook/Chart.vue'
import ChartBar from '../components/storybook/Chart-Bar.vue'
import ChartLine from '../components/storybook/Chart-Line.vue'
import ChartPie from '../components/storybook/Chart-Pie.vue'
import Alerts from '../components/storybook/Alert.vue'
import ButtonGroup from '../components/storybook/Button-Group.vue'
storiesOf('Button1', module)
  .add('with text', () => ({
    components: { MyButton },
    template: '<my-button @click="action">Hello Button</my-button>',
    methods: { action: action('clicked') }
  }))
  .add('with JSX', () => ({
    components: { MyButton },
    render () {
      return <my-button onClick={this.action}>With JSX</my-button>
    },
    methods: { action: linkTo('Button', 'with some emoji') }
  }))
  .add('with some emoji', () => ({
    components: { MyButton },
    template: '<my-button @click="action">😀 😎 👍 💯</my-button>',
    methods: { action: action('clicked') }
  }))
storiesOf('Tabs', module)
  .add('Tabs1', () => ({
    components: { Tabs },
    template: '<tabs/>'
  }))
storiesOf('Chart', module)
  .add('Doughnut', () => ({
    components: { Charts },
    template: '<charts/>'
  }))
  .add('Bar', () => ({
    components: { ChartBar },
    template: '<chart-bar/>'
  }))
  .add('Line', () => ({
    components: { ChartLine },
    template: '<chart-line/>'
  }))
  .add('Pie', () => ({
    components: { ChartPie },
    template: '<chart-pie/>'
  }))
storiesOf('Alerts', module)
  .add('Alerts', () => ({
    components: { Alerts },
    template: '<alerts/>'
  }))
storiesOf('Buttonn', module)
  .add('Button-rounded', () => ({
    components: { ButtonGroup },
    template: '<button-group/>'
  }))
storiesOf('Edit Text', module)
  .add('Edit', () => ({
    components: { Edit },
    template: '<edit/>'
  }))
